GNU Radio 2.x: gri_mmse_fir_interpolator_cc Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gri_mmse_fir_interpolator_cc Class Reference

`#include <gri_mmse_fir_interpolator_cc.h>`

Collaboration diagram for gri_mmse_fir_interpolator_cc:

[legend]
List of all members.

## Detailed Description

Compute intermediate samples between signal samples x(k*Ts).

This implements a Mininum Mean Squared Error interpolator with 8 taps. It is suitable for signals where the bandwidth of interest B = 1/(4*Ts) Where Ts is the time between samples.

Although mu, the fractional delay, is specified as a float, it is actually quantized. 0.0 <= mu <= 1.0. That is, mu is quantized in the interpolate method to 32nd's of a sample.

## Public Member Functions
| gri_mmse_fir_interpolator_cc ()
| ~gri_mmse_fir_interpolator_cc ()
unsigned | ntaps () const
unsigned | nsteps () const
gr_complex | interpolate (const gr_complex input[], float mu)
| compute a single interpolated output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value.
## Protected Attributes
std::vector< gr_fir_ccf * > | filters

## Constructor & Destructor Documentation

gri_mmse_fir_interpolator_cc::gri_mmse_fir_interpolator_cc | ( |  | ) |

gri_mmse_fir_interpolator_cc::~gri_mmse_fir_interpolator_cc | ( |  | ) |

## Member Function Documentation

gr_complex gri_mmse_fir_interpolator_cc::interpolate | ( | const gr_complex | input[],
|  | float | mu
| ) |

| compute a single interpolated output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value. `mu` must be in the range [0, 1] and specifies the fractional delay. Returns: the interpolated input value.

unsigned gri_mmse_fir_interpolator_cc::nsteps | ( |  | ) | const

unsigned gri_mmse_fir_interpolator_cc::ntaps | ( |  | ) | const

## Member Data Documentation

std::vector<gr_fir_ccf *> gri_mmse_fir_interpolator_cc::filters`[protected]`

The documentation for this class was generated from the following files:

- gri_mmse_fir_interpolator_cc.h
- gri_mmse_fir_interpolator_cc.cc